Subject: Re: [PATCH net] net: phy: micrel: Fix link detection on ksz87xx switch"

From: [email-masked]
Date: Sun, 08 Aug 2021 11:10:05 +0000

Hello:

This patch was applied to netdev/net.git (refs/heads/master):

On Sat, 7 Aug 2021 02:06:18 +0200 you wrote:
> Commit a5e63c7d38d5 "net: phy: micrel: Fix detection of ksz87xx
> switch" broke link detection on the external ports of the KSZ8795.
> 
> The previously unused phy_driver structure for these devices specifies
> config_aneg and read_status functions that appear to be designed for a
> fixed link and do not work with the embedded PHYs in the KSZ8795.
> 
> [...]

Here is the summary with links:
  - [net] net: phy: micrel: Fix link detection on ksz87xx switch"
    https://git.kernel.org/netdev/net/c/2383cb9497d1

You are awesome, thank you!
--
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html